inherit:
- cmake

variables:
  natures:
  - '@{next-value|[]}'
  - asdf

  extra-requires:
  - '@{next-value|[]}'
  - nature: meta
    target: common-lisp-compiler
  - nature: meta
    target: quicklisp

  cmake.environment:default:
  - SBCL_HOME=${toolkit.dir}/lib/sbcl
  - '@{next-value|[]}'

  cmake.options:default:
  - CMAKE_INSTALL_PREFIX="${toolkit.dir}"
  - LISP_SOURCE_REGISTRY_ENTRIES="(:tree \\\"${toolkit.dir}/share/common-lisp/source/\\\")"
  - LISP_INIT_CODE="(load \\\"${toolkit.dir}/share/common-lisp/quicklisp/setup.lisp\\\")"
  - '@{next-value|[]}'

  cmake.before-invocation:default: |
    (
      flock 9

  cmake.after-invocation:default: |
    ) 9> "${dependency-dir}/share/common-lisp/quicklisp/lock"
